/// File: VSLabShellPackage\package.fs
/// 
/// Author: Antonio Cisternino (cisterni@di.unipi.it)
///   
/// ------------------------------------------------------------
/// Copyright (c) Microsoft Corporation.  All rights reserved.
/// 
/// The use and distribution terms for this software are 
/// contained in the file named license.txt, which can be found 
/// in the root of this distribution.
/// By using this software in any fashion, you are agreeing to 
/// be bound by the terms of this license.
///
/// You must not remove this notice, or any other, from this
/// software.
/// ------------------------------------------------------------

module VSLab.Chart3D.Package

open VSLab.Packages

type VSLabChart3DPackage() =
  inherit Package()
  
  override x.OpenNames() =
    VSLab.Environment.OpenNS("VSLab.Chart3D")

[<assembly: PackageDescription(typeof<VSLabChart3DPackage>, Name="3D Chart package", Description="Package containing 3D visualization viewlets, requires DirectX")>]
do ()
