// These references are required only for typechecking purposes
// you can skip their evaluation.
#r "ViewletControls"
#r "VSLabFSICore"
#r "Microsoft.DirectX.Direct3D"
#r "VSLabChart3DPackage"
#r "EnvDTE80"


open VSLab.Chart3D

let viewer1 = new Function3DViewlet(Name="first 3D function")
let viewer2 = new Function3DViewlet(Name="second 3D function")
viewer1.Show()
viewer2.Show()

let mutable v = 0.1
viewer1.Function <- fun (t:float) (x, y) -> sin(t)*v*(x-y)
viewer2.Function <- fun (t:float) (x, y) -> sin(t)*v*(x+y)
v <- 0.5
v <- 1.0

viewer1.Function <- fun (t:float) (x, y) -> sin(t+x+y) + x*y + y*x
viewer2.Function <- fun (t:float) (x, y) -> sin(t+x+y)*v 

viewer1.Close()
viewer2.Close()
